<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;
require 'PHPMailer/src/Exception.php';
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';



include "qr/qrlib.php";    
include "support.php";
session_start();
$head='QR 0.5/23.11.2024 Benutzer:';
$icon_width=30;
$pagesize=20;

echo '<style>';
include('adm.css');
echo '</style>';
echo '<center>';

function getStrTimeErstellt($con,$art){
    $ret='';
    $stmt = $con->prepare( "Select * from artikel where id=?");
    $stmt->bind_param("i",$art);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            $ret .=  (new DateTime($row['erstellt']))->format('d.m.Y H:i') .'/';
			if($_SESSION['readonly'] == 0){
				$ret = $ret . $row['erstellt_user'];
			}
        }
      
    }
    return $ret;
}

function getStrTimeGeaendert($con,$art){
    $ret='';
    $stmt = $con->prepare( "Select * from artikel where id=?");
    $stmt->bind_param("i",$art);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
			 $ret .=  (new DateTime($row['geaendert']))->format('d.m.Y H:i') .'/';
			 if($_SESSION['readonly'] == 0){
				$ret = $ret . $row['geaendert_user'];
			}
        }
        
    }
    return $ret;
}


function get_Artikelnummer($con,$id){
    $stmt = $con->prepare( "Select artikelnummer from artikel where id=?");
    $stmt->bind_param("i",$id);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        if($row = $result->fetch_assoc()) {
          return $row['artikelnummer'];  
        }
        
    }
    return '.*';
}

function has_bild($con,$art){
	$stmt = $con->prepare( "Select * from bilder where artikel=?"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
   		return '<img src="' . $_SESSION['gfx_location'] . 'bild.png" width=' . $GLOBALS['icon_width'] .   '>';
   	}
   	return '';
}

function has_text($con,$art){
	$stmt = $con->prepare( "Select * from texte where artikel=?"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
   		return '<img src="' . $_SESSION['gfx_location'] . 'text.png" width=' . $GLOBALS['icon_width'] .   '>';
   	}
   	return '';
}

function has_link($con,$art){
	$stmt = $con->prepare( "Select * from links where artikel=?"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
   		return '<img src="' . $_SESSION['gfx_location'] . 'link.png" width=' . $GLOBALS['icon_width'] .   '>';
   	}
   	return '';
}

function has_dokument($con,$art){
	$stmt = $con->prepare( "Select * from dokumente where artikel=?"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
   		return '<img src="' . $_SESSION['gfx_location'] . 'dokument.png" width=' . $GLOBALS['icon_width'] .   '>';
   	}
   	return '';
}

function get_tags($con,$art){
	$ret = '';
	$r = has_bild($con,$art);
	if(!empty($r)){
		$ret .= $r . '&nbsp;';
	}
	$r = has_text($con,$art);
	if(!empty($r)){
		$ret .= $r . '&nbsp;';
	}
	$r = has_link($con,$art);
	if(!empty($r)){
		$ret .= $r . '&nbsp;';
	}
	$r = has_dokument($con,$art);
	if(!empty($r)){
		$ret .= $r . '&nbsp;';
	}
	return $ret;
}

function get_nav($maxPage,$page,$suche){
   echo '<table class="search_table"><tr>';
   echo '<td>Seite ' .$page .' von ' .$maxPage .'</td>';
   echo '<td><a href="' . $_SESSION['admin_script'] . '?page=0&suche=' .$suche .'">Erste Seite</a></td>';
   
   if($page-2<0){
       $p=0;
   }else {
       $p = $page-2;
   }
   echo '<td><a href="' . $_SESSION['admin_script'] . '?page=' . $p . '&suche=' .$suche .'">vorherige Seite</a></td>';
   
   if($page+1 > $maxPage-1){
       $p=$maxPage-1;
   } else {
       $p = $page;
   }
   echo '<td><a href="' . $_SESSION['admin_script'] . '?page=' . $p . '&suche=' .$suche .'">nächste Seite</a></td>';
  

   
   echo '<td><a href="' . $_SESSION['admin_script'] . '?page=' . $maxPage-1 . '&suche=' .$suche .'">Letzte Seite</a></td>';
   echo '</tr></table>';
}

function get_artikel($con,$suche,$p,$ps){
	$s = trim(preg_replace('!\s+!', '.*', $suche));
	if($s !== ''){
	    $numArtikelGesamt =  $con->query('SELECT COUNT(*) FROM artikel')->fetch_row()[0];
	    $stmt1 = $con->prepare( "Select id from artikel where artikelnummer regexp ? or bezeichnung regexp ?");
	    $stmt1->bind_param("ss",$s,$s);
	    $stmt1->execute();
	    $result = $stmt1->get_result();
	    $numArtikel = $result->num_rows;
	    $maxPages = ceil($numArtikel / $ps);
	    if($p>$maxPages){
	        $p = $maxPages;
	    }
	    $offset = $p * $ps;
	    
	    $stmt = $con->prepare( "Select * from artikel where artikelnummer regexp ? or bezeichnung regexp ? order by id desc LIMIT ?,?"); 
	    $stmt->bind_param("ssii",$s,$s,$offset,$ps);
		
		$stmt->execute();
		$result = $stmt->get_result();
    	if($result->num_rows > 0){
			if($_SESSION['readonly'] == 1){
				echo '<div class="liste">';
				echo '<center><font color="ffffff">' .$numArtikelGesamt . ' Artikel insgesamt, Suche:'. $numArtikel . ' Artikel Nr:' . ($p * $ps) . '-' . (($p*$ps)+$ps) . '</font></center><br>';
				get_nav($maxPages,$p+1, $suche);
				echo '<table class="search_table">';
				echo '<tr><td>Artikelnummer</td><td>Online</td><td>Erstellt/Geändert</td><td>Bezeichnung<td>Inhalte</td></tr><tr>';
				while($row = $result->fetch_assoc()) {
					echo '<tr>';
					echo '<td><a href="' . $_SESSION['own_link'] . '?art=' . $row['artikelnummer'] .'" target="_blank">' . $row['artikelnummer'] . '</a></td>';
					echo '<td class="online_td">
						  <form action="qradmin.php" method="post">
							<input type="hidden" id="delete_id" name="online_id" value="' . $row['id'] . '" />
							<input type="hidden" id="delete_id" name="online_bezeichnung" value="' . $row['bezeichnung'] . '" />							
							<input type="hidden" id="delete_id" name="online_artikelnummer" value="' . $row['artikelnummer'] . '" />
							<input type="hidden" id="suche" name="suche" value="' . $s . '" />';
							if($row['online']){
					            echo 'Online';
							} else {
                                echo '<font color="red">Offline</fron>';
							}
						echo '</form>';
						echo '<td>' . getStrTimeErstellt($con,$row['id']) .  '<br>' .getStrTimeGeaendert($con,$row['id']) .'</td>';
						echo '<td>' . $row['bezeichnung'] . '</td>';
						echo '<td>' . get_tags($con,$row['id']) . '</td>';
				}
				get_nav($maxPages,$p+1, $suche);
			} else {
    		echo '<div class="liste">';
			echo '<center><font color="ffffff">' .$numArtikelGesamt . ' Artikel insgesamt, Suche:'. $numArtikel . ' Artikel, Nr:' . ($p * $ps) . '-' . (($p*$ps)+$ps) . '</font></center><br>';
			get_nav($maxPages,$p+1, $suche);
			echo '<table class="search_table">';
    		echo '<tr><td>Artikelnummer</td><td>Online</td><td>Erstellt/Geändert</td><td>Bezeichnung<td>Inhalte</td><td>Kopieren</td><td>Bearbeiten</td><td>Löschen</td></tr><tr>';
   			while($row = $result->fetch_assoc()) {
   				echo '<tr>';
   					echo '<td><a href="' . $_SESSION['own_link'] . '?art=' . $row['artikelnummer'] .'" target="_blank">' . $row['artikelnummer'] . '</a></td>';
					echo '<td class="online_td">
						 <form action="qradmin.php" method="post">
							<input type="hidden" id="delete_id" name="online_id" value="' . $row['id'] . '" />
							<input type="hidden" id="delete_id" name="online_bezeichnung" value="' . $row['bezeichnung'] . '" />							
							<input type="hidden" id="delete_id" name="online_artikelnummer" value="' . $row['artikelnummer'] . '" />
								
							<input type="hidden" id="suche" name="suche" value="' . $s . '" />
                            <table><tr><td id="online_td">';
							if($row['online']){
					            echo '<input type="checkbox"  onChange="this.form.submit()" name="online_checkbox" id="online_checkbox" value="' . $row['online'] .'" checked/></td><td>';
							} else {
                                echo '<input type="checkbox"  onChange="this.form.submit()" name="online_checkbox" id="online_checkbox" value="' . $row['online'] .'"/></td><td>';
							}
							echo '
							<label for="online_checkbox">Online</label> 
                         </td></tr></table>
						</td></form>';							
											
				
   					echo '<td>' . getStrTimeErstellt($con,$row['id']) .  '<br>' .getStrTimeGeaendert($con,$row['id']) .'</td>';
   					echo '<td>' . $row['bezeichnung'] .  '</td>';
					echo '<td>' . get_tags($con,$row['id']) . '</td>';
					echo '<td class="kopieren_td">
		  				<form action="qradmin.php" method="post">
							<input type="hidden" id="edit_id" name="artikelnummer" value="' . $row['artikelnummer'] . '" />
							<input type="hidden" id="edit_id" name="copy_id" value="' . $row['id'] . '" />	
							<input type="text" id="neu" name="neu" size="30" placeholder="Neue Artikelnummer"required />	  
							<input type="submit" name="copy" value="Kopieren">
						</form></td>';		
					echo '<td class="bearbeiten_td">
		  				<form action="edit.php" method="post" target="_blank">
							<input type="hidden" id="edit_id" name="edit_id" value="' . $row['id'] . '" />
							<input type="hidden" id="page" name="page" value="' . $p . '" />
							<input type="hidden" id="edit_id" name="edit_artikelnummer" value="' . $row['artikelnummer'] . '" />
							<input type="submit" name="edit" value="Bearbeiten">
						</form></td>';		
					echo '<td>
		  				 <form action="qradmin.php" method="post">
							<input type="hidden" id="delete_id" name="delete_id" value="' . $row['id'] . '" />
							<input type="hidden" id="delete_id" name="delete_bezeichnung" value="' . $row['bezeichnung'] . '" />							
							<input type="hidden" id="delete_id" name="delete_artikelnummer" value="' . $row['artikelnummer'] . '" />
							<input type="hidden" id="suche" name="suche" value="' . $s . '" />
                            <table><tr><td id="delete_checkbox">
                                <input type="checkbox"  id="delete_checkbox" name="really" value="1" /></td><td>
                                <input type="submit" id="delete_artikel_button" name="delete_link_button" value="Löschen">
                         </td></tr></table>
						</td></form>';							
   			}
   			echo '</tr></table>';
   			get_nav($maxPages,$p+1, $suche);
            echo '</div>';
			}
    	}
	}
}


/*
 * 
 * Artikel neu anlegen
 * 
 */
function insert_artikel($con,$art,$bez){
    $stmt = $con->prepare( "INSERT into artikel (artikelnummer,bezeichnung,erstellt_user,geaendert_user) VALUES (?,?,?,?)");
    $stmt->bind_param("ssss",$art,$bez,$_SESSION['name'],$_SESSION['name']);
    $stmt->execute();
    $code_file = dirname(__FILE__) . '/../Codes/' . $art . '.png';
    $my_own_link = $_SESSION['own_link'] . '?art=' . $art;
    if(!file_exists($code_file)){
        QRcode::png($my_own_link,$code_file,'L', 6,4);
    }
    
}

/*
 * 
 * Artikel aus der DAtenbank löschen
 * 
 */
function delete_artikel($con,$delete_id,$artikelnummer){
    //code
    $code_file = dirname(__FILE__) . '/../Codes/' . $artikelnummer . '.png';
    if(file_exists($code_file)){
        unlink($code_file);
    }
    //bilder
    $stmt = $con->prepare( "Select * from bilder where artikel=?");
    $stmt->bind_param("i",$delete_id);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            $file = dirname(__FILE__) . '/../Bilder/' . $row['file'];
            if(file_exists($file)){
                unlink($file);
            }
        }
    }
    $stmt = $con->prepare( "DELETE from bilder where artikel=?");
    $stmt->bind_param("i",$delete_id);
    $stmt->execute();
    //texte
    $stmt = $con->prepare( "DELETE from texte where artikel=?");
    $stmt->bind_param("i",$delete_id);
    $stmt->execute();
    //dokumente
    $stmt = $con->prepare( "Select * from dokumente where artikel=?");
    $stmt->bind_param("i",$delete_id);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            $file = dirname(__FILE__) . '/../Dokumente/' .  $row['file'];
            if(file_exists($file)){
                unlink($file);
            }
        }
    }
    
    $stmt = $con->prepare( "DELETE from dokumente where artikel=?");
    $stmt->bind_param("i",$delete_id);
    $stmt->execute();
    //links
    $stmt = $con->prepare( "DELETE from links where artikel=?");
    $stmt->bind_param("i",$delete_id);
    $stmt->execute();
    //Artikel
    $stmt = $con->prepare( "DELETE from artikel where id=?");
    $stmt->bind_param("i",$delete_id);
    $stmt->execute();
}

function copy_artikel($con,$art,$neu){
	$stmt = $con->prepare( "Select * from artikel where id=?");
    $stmt->bind_param("i",$art);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
		if($row = $result->fetch_assoc()){
			insert_artikel($con,$neu,$row['bezeichnung']);
			$artikel_neu = $con->insert_id;
			if($artikel_neu > 0){
				// Beschreibung
				$stmt = $con->prepare( "UPDATE artikel set beschreibung=? where id=?");
				$stmt->bind_param("si",$row['beschreibung'],$artikel_neu);
				$stmt->execute();
				//Online
				$stmt = $con->prepare( "UPDATE artikel set online=? where id=?");
				$stmt->bind_param("ii",$row['online'],$artikel_neu);				
				$stmt->execute();
				//bilder
				$stmt = $con->prepare( "SELECT * from bilder where artikel=?");
				$stmt->bind_param("i",$art);
				$stmt->execute();
				$result = $stmt->get_result();
				if ($result->num_rows > 0) {
					while($brow = $result->fetch_assoc()){
						$pos = $brow['pos'];
						$breite = $brow['breite'];
						$titel = $brow['titel'];
						$bild_alt = $brow['file'];
						$bild_neu = get_targetfile('/../Bilder/',$bild_alt);
						$path =  $path = dirname(__FILE__) .'/../Bilder/' ; 
						copy($path . $bild_alt,$path . $bild_neu);
						$stmt = $con->prepare("INSERT into bilder (artikel,pos,breite,titel,file) VALUES (?,?,?,?,?)");
						$stmt->bind_param("iiiss",$artikel_neu,$pos,$breite,$titel,$bild_neu);
						$stmt->execute();
					}
				}
				//texte
				$stmt = $con->prepare( "SELECT * from texte where artikel=?");
				$stmt->bind_param("i",$art);
				$stmt->execute();
				$result = $stmt->get_result();
				if ($result->num_rows > 0) {
					while($brow = $result->fetch_assoc()){
					    $stmt = $con->prepare( "INSERT INTO texte (artikel,titel,inhalt) VALUES (?,?,?)");
						$stmt->bind_param("iss",$artikel_neu,$brow['titel'],$brow['inhalt']);
						$stmt->execute();
					}
				}
				//links
				$stmt = $con->prepare( "SELECT * from links where artikel=?");
				$stmt->bind_param("i",$art);
				$stmt->execute();
				$result = $stmt->get_result();
				if ($result->num_rows > 0) {
					while($brow = $result->fetch_assoc()){
					    $stmt = $con->prepare( "INSERT INTO links (artikel,titel,link) VALUES (?,?,?)");
						$stmt->bind_param("iss",$artikel_neu,$brow['titel'],$brow['link']);
						$stmt->execute();
					}
				}
				//Dokumente
				$stmt = $con->prepare( "SELECT * from dokumente where artikel=?");
				$stmt->bind_param("i",$art);
				$stmt->execute();
				$result = $stmt->get_result();
				if ($result->num_rows > 0) {
					while($brow = $result->fetch_assoc()){
						$titel = $brow['titel'];
						$file_alt = $brow['file'];
						$file_neu = get_targetfile('/../Dokumente/',$file_alt);
						$path =  $path = dirname(__FILE__) .'/../Dokumente/' ; 
						copy($path . $file_alt,$path . $file_neu);
						$stmt = $con->prepare("INSERT into dokumente (artikel,titel,file) VALUES (?,?,?)");
						$stmt->bind_param("iss",$artikel_neu,$titel,$file_neu);
						$stmt->execute();
					}
				}
			}
		}
	}
}

function online($con,$id,$online){
    $stmt = $con->prepare( "update artikel set online=? where id=?");
    $stmt->bind_param("ii",$online,$id);
    $stmt->execute();	
}



function getMailCombo($con){
	$ret='<select name="mailuser">';
	$stmt = $con->prepare( "select * from auth where email != ''");
    $stmt->execute();	
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
          $ret = $ret . '<option value="' . $row['user'] . '">' . $row['user'] .'</option>';
        }
    }
	$ret = $ret . '</select>';
	return $ret;
}


function  getMailDate($con,$mailuser){
    $d = new DateTime();
    $d->setTime(0,0,0);
    $stmt = $con->prepare( "select last from auth where user=?");
    $stmt->bind_param("s",$mailuser);
    $stmt->execute();	
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            if($row['last'] != null){
                return DateTime::createFromFormat('Y-m-d H:i:s', $row['last']);
            }
        }
    }
    
    return $d;
}


function getAckMail($con){
    $ret = '';
    $stmt = $con->prepare( "select ackmail from auth where user=?");
    $stmt->bind_param("s",$_SESSION['name']);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            return $row['ackmail'];
        }
    }
    return $ret;
}


function getRecipientMail($con,$mailuser){
    $ret = '';
    $stmt = $con->prepare( "select * from auth where user=?");
    $stmt->bind_param("s",$mailuser);
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            $ret =  $row['email'];
            break;
        }
    }
    return $ret;
}

function getListe($con,$datum){
    $ret = '';
    $stmt = $con->prepare( "select * from artikel where erstellt > ? or geaendert > ? order by id desc");
    $stmt->bind_param("ss",$datum->format('Y-m-d H:i:s'),$datum->format('Y-m-d H:i:s'));
    $stmt->execute();
    $result = $stmt->get_result();
    if ($result->num_rows > 0) {
        while($row = $result->fetch_assoc()) {
            $e = DateTime::createFromFormat('Y-m-d H:i:s', $row['erstellt']);
            $g = DateTime::createFromFormat('Y-m-d H:i:s', $row['geaendert']);
            $lnk = '<a href="' .$_SESSION['own_link'] . '?art='. $row['artikelnummer']. '">' . $row['artikelnummer'] . '</a>' ;
            
            $ret = $ret . '<br>Artikel: ' . $lnk . ' : ' . $row['bezeichnung'] . '&nbsp;&nbsp:&nbsp;';
            if($g > $e){
                $ret = $ret . 'Erstellt: ' . $e->format("d.m.Y H:i") . '&nbsp;&nbsp;&nbsp;<font color="green">Geändert:' . $g->format("d.m.Y H:i") . '</font>';
            } else {
                $ret = $ret . '<Font color="green">Erstellt: ' . $e->format("d.m.Y H:i") . '</font>&nbsp;&nbsp;&nbsp; Geändert:' . $g->format("d.m.Y H:i");
            }
        }
    }
    return $ret;
}

function sendmail($recipient,$ack,$text,$datum,$mailuser){
    $kopf = 'Dies ist eine automatisierte Nachricht<br>Bitte antworten Sie nicht auf diese Mail<br><br>';
    $kopf .= 'Änderungen seit:&nbsp;' . $datum->format("d.m.Y H:i") .'<br>';
    $kopf .= 'Mail gesendet an:&nbsp;'. $mailuser .  ' (' . $recipient . ')<br>';
    $kopf .= 'Kopie an:&nbsp;'. $ack . '<br>';
    $text = $kopf . $text;
    try {
        $mail = new PHPMailer (true);
        $mail->isSMTP();
        $mail->SMTPAuth = true;
        $mail->Host = $_SESSION['mailserver'];
        $mail->Port = 587;
        $mail->Username = $_SESSION['mailuser'];
        $mail->Password = $_SESSION['mailpasswd'];
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
        $mail->setFrom('qrmail@beispiel.de', 'Rezeptbuch QR');
        $mail->addAddress($recipient, $recipient);
        if($ack != ''){
            $mail->addCC($ack,$ack);   
        }
        $mail->isHTML(true);
        $mail->Subject = 'Rezeptbuch QR Mitteilung';
        $mail->Body = $text;
        $mail->CharSet = 'UTF-8';
        $mail->Encoding = 'base64';
        $mail->send();
        
    } catch (Exception $e) {
        message( "Mailer Error: ".$e->getMessage());
    }
    
}

function setmailDate($con,$mailuser){
    $datum = new DateTime();
    $stmt = $con->prepare( "update auth set last=? where user=?");
    $stmt->bind_param("ss",$datum->format('Y-m-d H:i:s'),$mailuser);
    $stmt->execute();
}

function compose_mail($con,$mailuser){
      $datum=getMailDate($con,$mailuser);
      $recipientMail = getRecipientMail($con,$mailuser);
      $ackMail = getAckMail($con);
      if($recipientMail != ''){
        $text = getListe($con,$datum);
        if($text != ''){
            sendmail($recipientMail,$ackMail,$text,$datum,$mailuser);
            setmailDate($con, $mailuser);
            message('Änderungen seit ' . $datum->format('Y-m-d H:i:s') . ' an ' . $mailuser .' (' . $recipientMail .') gesendet');
        } else {
            message('Keine Änderungen gefunden; Mail an ' .$mailuser . '(' . $recipientMail .') nicht versendet');
        }
      }
}


if (isset($_SESSION['qr_loggedin']) && isset($_SESSION['name'])){
    $conn = new mysqli($_SESSION['servername'],$_SESSION['username'],$_SESSION['dbpassword'],$_SESSION['db']);
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    } 
    $page = 0;
    if(isset($_REQUEST['page'])){
        $page = $_REQUEST['page'];
    } else {
        $page=0;
    }
    /*
     * Suche
     *
     */
    if(!isset($_POST['suche']) || empty(trim($_POST['suche']))){
        $_POST['suche'] = '.*';
    }
    $suche = trim($_POST['suche']);
    
    if(isset($_REQUEST['suche'])){
        if(empty(trim($_REQUEST['suche']))){
            $suche='.*';
        }else{
            $suche = trim($_REQUEST['suche']);
        }
    }
    /*
     * online
     */
    if(isset($_POST['online_id'])){
        online($conn,$_POST['online_id'],isset($_POST['online_checkbox'])?1:0);
        $suche = get_Artikelnummer($conn, $_POST['online_id']);
        unset ($_POST['online_id']);
        
    }
    
	echo '  <div class="top-1">
			<table class="search"><tr><td><h1>' . $head . $_SESSION['name'] .  '</td><td>
			<form action="logout.php" method="post">
				<input type="submit" value="Abmelden">
			</form>
			</td><td>
			<form action="user.php" method="post">
				<input type="hidden" id="suche" name="suche" value="' . $_POST['suche'] . '" />';
				    if($_SESSION['name'] == 'admin'){
				        echo '<input type="submit" value="Benutzerverwaltung">';
                    }
			echo '</form></td><td>';
			if($_SESSION['readonly'] == 0){
				echo '
					<form action="qradmin.php" method="post">
						<input type="hidden" id="page" name="page" value="' .$page. '" />';
						echo getMailCombo($conn);
						echo '<input type="submit" id="mail" name="mail" value="Änderungsmail senden!">
					</form></td>
				';
			}
			echo '</tr></table></div>';

	/*
	/*
	 * Artikel kopieren
	 */
	if(isset($_POST['copy'])&& isset($_POST['copy_id']) && isset($_POST['neu'])){
		if(!artikelnummer_exists($conn,$_POST['neu'])){
			copy_artikel($conn,$_POST['copy_id'],$_POST['neu']);
			$_POST['suche']= $_POST['neu'];
		}
		unset($_POST['copy']);
		unset($_POST['copy_id']);
		unset($_POST['neu']);
	}
	/*
	 * 
	 * Artikel löschen
	 * 
	 */
	if(isset($_POST['delete_id'])){
		if(isset($_POST['really'])){
		    delete_artikel($conn,$_POST['delete_id'],$_POST['delete_artikelnummer']);
			message('Artikel Nr:' .$_POST['delete_artikelnummer']. ' ' . $_POST['delete_bezeichnung'] . ' Gelöscht!');
			unset($_POST['really']);
		}
		unset($_POST['delete_id']);
		unset($_POST['delete_bezeichnung']);
		unset($_POST['delete_artikelnummer']);
		$_POST['suche']='.*';
		get_artikel($conn,'.*',$page,$pagesize);
		
	}
	/*
	 * 
	 * Artikel neu anlegen
	 * 
	 */
	if(isset($_POST['artikelnummer']) && isset($_POST['bezeichnung'])){
		$art = trim(preg_replace('!\s+!', '_', trim($_POST['artikelnummer'])));
	    if(!artikelnummer_exists($conn,$art)){
	       insert_artikel($conn,$art,$_POST['bezeichnung']);
	       message('Artikelnummer <b>'. $art.' '. $_POST['bezeichnung'] . "</b> neu angelegt");
	       $_POST['suche'] = trim($_POST['artikelnummer']);
	    } 
	    unset($_POST['artikelnummer']);
	    unset($_POST['bezeichnung']);
	}

	if(isset($_POST['mail'])){
	    compose_mail($conn,$_POST['mailuser']);
		unset($_POST['mail']);
	}
	
	echo '
			<div class="top-2">
            <table class="search"><tr>
              <td><form action="qradmin.php" method="post">
			     <input type="text" name="suche" placeholder="suche" id="suche" value="' . $suche . '">
			     <input type="submit" value="Suchen">
			  </form></td>
              <td><form action="qradmin.php" method="post">
		         <input type="hidden" name="suche" id="suche" value=".*">
			     <input type="submit" value="Alle anzeigen">
			  </form></td>
              </tr></table>
              </div>
              <div class="top-3">';
				if($_SESSION['readonly'] == 0){
					echo '<table class="search"><tr>  
						<td><form action="qradmin.php" method="post">
							<input type="text" name="artikelnummer" placeholder="Artikelnummer" id="artikelnummer" value="" required>
							<input type="text" name="bezeichnung" placeholder="Bezeichnung" id="bezeichnung" value="" required>
							<input type="submit" value="Neu Anlegen">
						</form></td>
						</tr></table>
						</div>
				';
				} 
	echo '<hr color="#ffffff" size="2" width="100%" >';
	if(! empty($suche)){
		get_artikel($conn,$suche,$page,$pagesize);
		unset($_POST['suche']);
		unset($_REQUEST['suche']);
		#unset($_REQUEST['page']);
	}
} else {
	http_response_code(403);
	$conn->close();
	die('Forbidden');
}
$conn->close();
echo '</center>';

?>
