<?php

$servername = "";
$username = "";
$dbpassword = "";
$db = "";

$protocol="http://";
$domain="artikel.beispiel.de";
$page="artikel.php";

$gfx_path="gfx";
$gfx_logo="gfx/logo.png";

$kontakt_link="https://beispiel.de/kontakt.html";
$impressum_link="https://beispiel.de.de/impressum.html";
$datenschutz_link="https://beispiel.de/datenschutz.html";

$code_path="Codes";
$bilder_path="Bilder";

$link_header="Weiterführende Links";

$dokumente_path="Dokumente";
$dokumente_header="Weitere Dokumente";
$dokumente_footer=" ";

$codes_location = $protocol . $domain . "/" . $code_path ."/";
$bilder_location = $protocol . $domain . "/" . $bilder_path ."/";
$dokumente_location = $protocol . $domain . "/" . $dokumente_path ."/";


function get_header() {
		echo '<table class="header_table"><tr>';
		echo '<td><img src="' . $GLOBALS['gfx_logo'] . '" width=200></td><td></td>';
		echo '<td></td>';
		echo '<td>Rezeptbuch Pro<br><br><a href="https://www.rezeptbuch-pro.de" target="_blank">www.rezeptbuch-pro.de</td>';
		echo '</tr><tr>';
		echo '<td><a href="'. $GLOBALS['kontakt_link'] . '" target=\"_blank\">Kontakt</td>';
		echo '<td align="center"><a href="'. $GLOBALS['impressum_link'] . '" target=\"_blank\">Impressum</td><td></td>';
		echo '<td align="right"><a href="'. $GLOBALS['datenschutz_link'] . '" target=\"_blank\">Datenschutz</td>';
		echo "</tr></table>";	
}


define("BILD",0);
define("BILDI",1);
define("BILDD",2);
session_start();

// Create connection



/*---------------------------
Funktionen
----------------------------*/



//artikel_id
function get_artikel_id($con,$art){
	$stmt = $con->prepare( "Select id,online from artikel where artikelnummer=?"); 
	$stmt->bind_param("s",$art);
	$stmt->execute();
	$result = $stmt->get_result();
    if ($result->num_rows > 0) {
		while($row = $result->fetch_assoc()) {
			if($row['online']){
				return $row["id"];
			} else {
				return 0;
			}
  		}
	} 
	return 0;
}


// Kopf mit Titel
function get_titel($con,$art){
	$stmt = $con->prepare( "Select * from artikel where id=?"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
    if($result->num_rows > 0){
		$row = $result->fetch_assoc();   
		echo '<table class="titel_table"><tr>';
		echo '<td><h1>' . $row['bezeichnung'] . '</h1></td><tr>';
		echo '<td><h2>' . nl2br($row['beschreibung']) . '</h2></td>';
		echo '</tr></table>';
	}
}

function download_bild($con,$artikelnummer,$bild_id){
	$path = $GLOBALS['bilder_location'];
	$stmt = $con->prepare( "Select * from bilder where id=? order by pos asc"); 
	$stmt->bind_param("i",$bild_id);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
		if($row = $result->fetch_assoc()) {
			$image=$GLOBALS['bilder_location'] .$row['file'];
			$path_parts = pathinfo($image);
			$ext = $path_parts['extension'];

			header('Content-Description: File Transfer');
			header('Content-Type: application/octet-stream');
			header('Content-Disposition: attachment; filename="'.basename($artikelnummer.'.'.$ext).'"');
			header('Expires: 0');
			header('Cache-Control: must-revalidate');
			header('Pragma: public');
			header('Content-Length: ' . filesize($image));
			readfile($image);
		}
	}
}

function download_dok($con,$dok_id){
	$stmt = $con->prepare( "Select * from dokumente where id=? order by pos asc"); 
	$stmt->bind_param("i",$dok_id);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
		if($row = $result->fetch_assoc()) {
			$display = TRUE;
			if(isset($_SESSION['qr_loggedin'])){
				$display = TRUE;
			}  else {
				if($row['hidden'] == TRUE){
					$display = FALSE;
				}
			}
			if($display){
				$dokument=$GLOBALS['dokumente_location'] .$row['file'];
				header('Content-Disposition: attachment; filename="'.$row['file']);
				readfile($dokument);
			}
		}
	}
}


function inline_dok($con,$dok_id){
	$stmt = $con->prepare( "Select * from dokumente where id=? order by pos asc"); 
	$stmt->bind_param("i",$dok_id);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
		if($row = $result->fetch_assoc()) {
			$display = TRUE;
			if(isset($_SESSION['qr_loggedin'])){
				$display = TRUE;
			}  else {
				if($row['hidden'] == TRUE){
					$display = FALSE;
				}
			}
			if($display){
				$dokument=$GLOBALS['dokumente_location'] .$row['file'];
				header('Content-Type: application/pdf');
				header('Content-Disposition: inline; filename="'.$artikelnummer.'_'.$dok_id.'.pdf');
				readfile($dokument);
			}
		}
	}
}


function download_code($con,$art){
	$my_own_link = $GLOBALS['protocol'] . $GLOBALS['domain'] . "/" . $GLOBALS['page']. "?art=" . $art;
    $filename=$GLOBALS['code_path'] . '/' . $art . '.png';
	header('Content-Disposition: attachment; filename="'.$art.'-QRCODE.png');
	readfile($filename);
}

function get_bild_nummer($con,$art,$artikelnummer,$bildnummer,$mode){
	$path = $GLOBALS['bilder_location'];
	$stmt = $con->prepare( "Select * from bilder where artikel=? order by pos asc"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
	$count=0;
 	if ($result->num_rows > 0) {
		while($row = $result->fetch_assoc()) {
			if($bildnummer == $count){
			$display = TRUE;
			if(isset($_SESSION['qr_loggedin'])){
				$display = TRUE;
			}  else {
				if($row['hidden'] == TRUE){
					$display = FALSE;
				}
			}
			if($display){
				
				$image=$GLOBALS['bilder_location'] .$row['file'];
				$path_parts = pathinfo($image);
				$ext = $path_parts['extension'];
				switch($mode){
					case BILD:
						echo '<img src="'.$image.'">';
						break;
					case BILDD:
						header('Content-Disposition: attachment; filename="'.$artikelnummer.'_'.$bildnummer.'.'.$ext.'"');
						readfile($image);
						break;
					case BILDI:
						header('Content-Type: image/' .$ext);
						header('Content-Disposition: inline; filename="'.$artikelnummer.'_'.$bildnummer.'.'.$ext.'"');
						readfile($image);
						break;
				}
				break;
				} else {
					get_code($artikelnummer);
				}
			}
		    $count++;
  		}
	} 
}


//Bilder
function get_bilder($con,$art,$artikelnummer){
	$path = $GLOBALS['bilder_location'];
	$stmt = $con->prepare( "Select * from bilder where artikel=? order by pos asc"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
	$count=0;
 	if ($result->num_rows > 0) {
 		echo '<table class="bilder_table"><tr>';
		while($row = $result->fetch_assoc()) {
			$display = TRUE;
			if(isset($_SESSION['qr_loggedin'])){
				$display = TRUE;
			}  else {
				if($row['hidden'] == TRUE){
					$display = FALSE;
				}
			}
			if($display){
			echo '<td><h1>' . $row['titel'] . '</h1><br>';
			#$bild = '<img src="' . $GLOBALS['bilder_location'] .$row['file'] .'" width=' . $row['breite'] . '><br>';	
			#echo  '<a href="' .  $GLOBALS['bilder_location'] .$row['file'] .'" target="_blank">' . $bild . "</a>";
			$lnk = $_SESSION['own_link'] . '?art='. $artikelnummer ;
			$bild = '<img src="' . $lnk  . '&bildi=' .$count . '" width=' . $row['breite'] . '><br>';	
			echo  '<a href="' .  $lnk .  '&bild=' .$count .'" target="_blank">' . $bild . "</a>";
			if(isset($_SESSION['qr_loggedin'])){
				echo '
		        <form action="artikel.php" method="post">
					<input type="hidden" id="bild_id" name="bild_id" value="' . $row['id'] . '"/>
					<input type="hidden" id="art" name="art" value="' .$artikelnummer . '"/>
					<input type="submit" id="b_download" name="b_download" value="Bild herunterladen">
				</form>

				<form name="name" action="">
					<input type="hidden" id="l_artikelnummer" name="l_artikelnummer" value="' . $lnk . '&bildi=' . '"/>
					<input type="button" value="Link kopieren" onclick="toClipboard(' . $count . ');" />
				</form>
				
				';
			}
			echo "</td>";
			}
			$count++;
			if($count > 0 && ($count %2 ==0)){
				echo '</tr><tr>';
			}
  		}
  		echo "</tr></table>";
	} 
}

// texte
function get_texte($con,$art){
	$stmt = $con->prepare( "Select * from texte where artikel=? order by pos asc"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
 		echo '<table class="text_table"><tr>';
		while($row = $result->fetch_assoc()) {
			$display = TRUE;
			if(isset($_SESSION['qr_loggedin'])){
				$display = TRUE;
			}  else {
				if($row['hidden'] == TRUE){
					$display = FALSE;
				}
			}
			if($display){
			echo '<table class="text_table"><tr>';
				echo '<tr>';
				echo '<td><h1>'. $row['titel'] . '</h1>';
				echo "</td></tr><tr>";
				echo '<td align="left">';
				echo '<h2>' .  nl2br($row['inhalt']) . '</h2>';			
				echo "</td>";
				echo "</tr></table>";
			}
		}
  		echo "</tr></table>";
	} 
}

//Dokumente
function get_dokumente($con,$art,$artikelnummer){ 
	$stmt = $con->prepare( "Select * from dokumente where artikel=? order by pos asc"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
		while($row = $result->fetch_assoc()){
			$display = TRUE;
			if(isset($_SESSION['qr_loggedin'])){
				$display = TRUE;
			}  else {
				if($row['hidden'] == TRUE){
					$display = FALSE;
				}
			}
			if($display){
				echo '<table class="dok_table"><tr>';
				echo '<td><h1>' . $GLOBALS['dokumente_header'] . '</h1></td></tr>';
				#$dok = $GLOBALS['dokumente_location'] .$row['file'];
				$dok = $_SESSION['own_link'] . '/artikel.php?art='. $artikelnummer .'&dok=' . $row['id'];
				echo '<tr><td><h2><a href="'. $dok . '" target="_blank">' . $row['titel'] . $GLOBALS['dokumente_footer'] . '</a></h2>';				
				if(isset($_SESSION['qr_loggedin'])){
					echo '
						<form action="artikel.php" method="post">
							<input type="hidden" id="dok_id" name="dok_id" value="' . $row['id'] . '"/>
							<input type="hidden" id="art" name="art" value="' .$artikelnummer . '"/>
							<input type="submit" id="d_download" name="d_download" value="'. $row['titel'] .' herunterladen">
						</form>
				';
				}
				
				echo '</td></tr>';
			}
		}
  		echo "</table>";
			
	} 
}

//weitere links 
function get_links($con,$art){
  	$stmt = $con->prepare( "Select * from links where artikel=? order by pos asc"); 
	$stmt->bind_param("i",$art);
	$stmt->execute();
	$result = $stmt->get_result();
 	if ($result->num_rows > 0) {
		echo '<table class="link_table">';
		echo '<tr><td><h1>' . $GLOBALS['link_header'] . "</h1></td></tr>";
		while($row = $result->fetch_assoc()) {
 			echo '<tr><td><h2><a href="'. $row['link'] . '" target=\"_blank\">' . $row['titel']  . '</a></h2></td></tr>';
  		}
  		echo "</tr></table>";
	} 
}


// code und eigener link
function get_code($artikelnummer){
	$my_own_link = $GLOBALS['protocol'] . $GLOBALS['domain'] . "/" . $GLOBALS['page']. "?art=" . $artikelnummer;
    $filename=$GLOBALS['code_path'] . '/' . $artikelnummer . '.png';
    echo '<img src="' . $filename . '"><br>';
	echo '<br><a href="'. $my_own_link . '">' . $my_own_link .'</a><br>';
	if(isset($_SESSION['qr_loggedin'])){
		echo '
			<form action="artikel.php" method="post">
			<input type="hidden" id="code_id" name="code_id" value="' . $row['id'] . '"/>
			<input type="hidden" id="art" name="art" value="' .$artikelnummer . '"/>
			<input type="submit" id="c_download" name="c_download" value="QR-Code als Bild herunterladen">
			</form>
			';
		}
	
}

/*------------------
Programm
---------------------*/  

ob_start();

// Check connection
$conn = new mysqli($servername, $username, $dbpassword,$db);  
if ($conn->connect_error) {
  	ob_end_clean();
  	header('Location: https://www.rezeptbuch-pro.de');
} else {
	if (isset($_REQUEST['art'])) { 
		$art = trim($_REQUEST['art']);	
        if ($art == ''){
            ob_end_clean();
            header('Location: https://www.rezeptbuch-pro.de');
        } else {
     		$artikel=$art;
     		$artikel_id=get_artikel_id($conn,$artikel);
     		if(isset($artikel) && $artikel_id !== 0){
				if(isset($_REQUEST['bild']) || isset($_REQUEST['bildi']) || isset($_REQUEST['bildd']) || isset($_REQUEST['dok']) || isset($_REQUEST['qr']))
				{
					if(isset($_REQUEST['bild'])){
						$bild = trim($_REQUEST['bild']);
						get_bild_nummer($conn,$artikel_id,$artikel,$bild,BILD);
					}
					if(isset($_REQUEST['bildd'])){
						$bild = trim($_REQUEST['bildd']);
						get_bild_nummer($conn,$artikel_id,$artikel,$bild,BILDD);
					}
					if(isset($_REQUEST['bildi'])){
						$bild = trim($_REQUEST['bildi']);
						get_bild_nummer($conn,$artikel_id,$artikel,$bild,BILDI);					
					
					}
					
					if(isset($_REQUEST['qr'])){
						$filename=$GLOBALS['code_path'] . '/' . $artikel . '.png';
						echo '<img src="' . $filename . '">';				
					}
					if(isset($_REQUEST['dok'])){
						$dok = trim($_REQUEST['dok']);
						inline_dok($conn,$dok);
						unset($_POST['dok']);
					
					}
					
				} else {
					if(isset($_POST['bild_id']) && isset($_POST['b_download'])){
						download_bild($conn,$artikel,$_POST['bild_id']);
						unset ($_POST['bild_id']);
						unset ($_POST['b_download']);
					}
					
					if(isset($_POST['dok_id']) && isset($_POST['d_download'])){
						download_dok($conn,$_POST['dok_id']);
						unset ($_POST['dok_id']);
						unset ($_POST['d_download']);
					}
					
					if(isset($_POST['code_id']) && isset($_POST['c_download'])){
						download_code($conn,$artikel);
						unset ($_POST['code_id']);
						unset ($_POST['c_download']);
					}
					
					
				
					echo '<style>';
					include('artikel.css');
					echo '</style>';
					echo "<center>";
					get_header();
					get_bilder($conn,$artikel_id,$artikel);
					get_titel($conn,$artikel_id);
					get_texte($conn,$artikel_id);
					get_links($conn,$artikel_id); 
					get_dokumente($conn,$artikel_id,$artikel); 
					get_code($artikel);
					echo '</center>';
					echo '<script>
						function toClipboard(number) {
							var link=document.getElementById("l_artikelnummer").value + number.toString() + "&" + number.toString() + ".jpg";
							navigator.clipboard.writeText(link);
							alert(link);
						}
						</script>';
				}
			}else {
			    ob_end_clean();
			    header('Location: https://www.rezeptbuch-pro.de');
			}
		}
	}	
	$conn->close();
}
?>
